import { createAsyncThunk } from "@reduxjs/toolkit";
import axios from "axios";
import { LOADING_END, LOADING_START } from "../../../lib/redux/slices/appSlice";

export const provinceEditMinMaxAge = createAsyncThunk(
  "PROVINCE_EDIT_MIN_MAX_AGE",
  async (d, { dispatch }) => {
    dispatch(LOADING_START());
    const { data, status } = await axios.put("chicken-age-range/0/", d);
    dispatch(LOADING_END());
    return { data, status };
  }
);
